Bug 1316741 - ldctl should support -H with ldap uris
ldctl should support -H with ldap uris
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: wibrown@redhat.com
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 19:34 EST by Noriko Hosoi
Modified: 2016-11-03 16:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.5.5-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 16:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 08:11:08 EDT

  None (edit)
Description Noriko Hosoi 2016-03-10 19:34:47 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48754

ldctl currently only support -h for hostname. It should be able to take -H and ldap uris for ldaps, ldapi etc.
Comment 2 Kamlesh 2016-07-20 08:54:45 EDT
Bug Verified 

Steps Perform 

[root@test dirsrv]# ldclt  -D "cn=Directory manager" -w Secret123 -f cn=XXXXXX -b "ou=people,dc=example,dc=org" -e add,person,incr,noloop,commoncounter -r1 -R5 -I 68 -I 32 -H ldap://localhost:389
ldclt version 4.23
ldclt[7683]: Starting at Wed Jul 20 13:44:31 2016

ldclt[7683]: T007: Hit top incremental value
ldclt[7683]: T007: thread is dead.
ldclt[7683]: T006: Hit top incremental value
ldclt[7683]: T006: thread is dead.
ldclt[7683]: T002: Hit top incremental value
ldclt[7683]: T002: thread is dead.
ldclt[7683]: T008: Hit top incremental value
ldclt[7683]: T008: thread is dead.
ldclt[7683]: T009: Hit top incremental value
ldclt[7683]: T009: thread is dead.
ldclt[7683]: T000: Hit top incremental value
ldclt[7683]: T000: thread is dead.
ldclt[7683]: T001: Hit top incremental value
ldclt[7683]: T001: thread is dead.
ldclt[7683]: T003: Hit top incremental value
ldclt[7683]: T003: thread is dead.
ldclt[7683]: T004: Hit top incremental value
ldclt[7683]: T004: thread is dead.
ldclt[7683]: T005: Hit top incremental value
ldclt[7683]: T005: thread is dead.
ldclt[7683]: Average rate:    0.50/thr  (   0.50/sec), total:      5
ldclt[7683]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[7683]: All threads are dead - exit.
ldclt[7683]: Global average rate:    0.50/thr  (  0.25/sec), total:      5
ldclt[7683]: Global number times "no activity" reports: never
ldclt[7683]: Global number of dead threads: 10
ldclt[7683]: Global no error occurs during this session.
ldclt[7683]: Ending at Wed Jul 20 13:44:51 2016
ldclt[7683]: Exit status 0 - No problem during execution.

------------------------------------------------------------------------

[root@test dirsrv]# ldclt  -D "cn=Directory manager" -w Secret123 -f cn=XXXXXX -b "ou=people,dc=example,dc=org" -e delete,person,incr,noloop,commoncounter -r1 -R5 -I 68 -I 32 -H ldaps://localhost:636
ldclt version 4.23
ldclt[7712]: Starting at Wed Jul 20 13:46:48 2016

ldclt[7712]: T003: Hit top incremental value
ldclt[7712]: T003: thread is dead.
ldclt[7712]: T001: Hit top incremental value
ldclt[7712]: T001: thread is dead.
ldclt[7712]: T005: Hit top incremental value
ldclt[7712]: T005: thread is dead.
ldclt[7712]: T008: Hit top incremental value
ldclt[7712]: T008: thread is dead.
ldclt[7712]: T009: Hit top incremental value
ldclt[7712]: T009: thread is dead.
ldclt[7712]: T007: Hit top incremental value
ldclt[7712]: T007: thread is dead.
ldclt[7712]: T006: Hit top incremental value
ldclt[7712]: T006: thread is dead.
ldclt[7712]: T002: Hit top incremental value
ldclt[7712]: T002: thread is dead.
ldclt[7712]: T000: Hit top incremental value
ldclt[7712]: T000: thread is dead.
ldclt[7712]: T004: Hit top incremental value
ldclt[7712]: T004: thread is dead.
ldclt[7712]: Average rate:    0.50/thr  (   0.50/sec), total:      5
ldclt[7712]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[7712]: All threads are dead - exit.
ldclt[7712]: Global average rate:    0.50/thr  (  0.25/sec), total:      5
ldclt[7712]: Global number times "no activity" reports: never
ldclt[7712]: Global number of dead threads: 10
ldclt[7712]: Global no error occurs during this session.
ldclt[7712]: Ending at Wed Jul 20 13:47:08 2016
ldclt[7712]: Exit status 0 - No problem during execution

----------------------------------------------------------------------

[root@test dirsrv]# ldclt  -D "cn=Directory manager" -w Secret123 -f cn=XXXXXX -b "ou=people,dc=example,dc=org" -e add,person,incr,noloop,commoncounter -r1 -R5 -I 68 -I 32 -H ldapi://%2Fvar%2Frun%2Fdirsrv%2Fslapd-RootCA.soket
ldclt version 4.23
ldclt[7733]: Starting at Wed Jul 20 13:47:48 2016

ldclt[7733]: T006: Hit top incremental value
ldclt[7733]: T006: thread is dead.
ldclt[7733]: T002: Hit top incremental value
ldclt[7733]: T002: thread is dead.
ldclt[7733]: T007: Hit top incremental value
ldclt[7733]: T007: thread is dead.
ldclt[7733]: T009: Hit top incremental value
ldclt[7733]: T009: thread is dead.
ldclt[7733]: T008: Hit top incremental value
ldclt[7733]: T008: thread is dead.
ldclt[7733]: T004: Hit top incremental value
ldclt[7733]: T004: thread is dead.
ldclt[7733]: T001: Hit top incremental value
ldclt[7733]: T001: thread is dead.
ldclt[7733]: T005: Hit top incremental value
ldclt[7733]: T005: thread is dead.
ldclt[7733]: T003: Hit top incremental value
ldclt[7733]: T003: thread is dead.
ldclt[7733]: T000: Hit top incremental value
ldclt[7733]: T000: thread is dead.
ldclt[7733]: Average rate:    0.50/thr  (   0.50/sec), total:      5
ldclt[7733]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[7733]: All threads are dead - exit.
ldclt[7733]: Global average rate:    0.50/thr  (  0.25/sec), total:      5
ldclt[7733]: Global number times "no activity" reports: never
ldclt[7733]: Global number of dead threads: 10
ldclt[7733]: Global no error occurs during this session.
ldclt[7733]: Ending at Wed Jul 20 13:48:08 2016
ldclt[7733]: Exit status 0 - No problem during execution
---------------------------------------------------------------------------
[root@test dirsrv]# ldclt  -D "cn=Directory manager" -w Secret123 -f cn=XXXXXX -b "ou=people,dc=example,dc=org" -e delete,person,incr,noloop,commoncounter -r1 -R5 -I 68 -I 32 -H ldapi://%2Fvar%2Frun%2Fdirsrv%2Fslapd-RootCA.soket -h test.run.co -p 123
ldclt version 4.23
ldclt[8114]: Starting at Wed Jul 20 14:18:08 2016

ldclt[8114]: T004: Hit top incremental value
ldclt[8114]: T004: thread is dead.
ldclt[8114]: T008: Hit top incremental value
ldclt[8114]: T008: thread is dead.
ldclt[8114]: T007: Hit top incremental value
ldclt[8114]: T007: thread is dead.
ldclt[8114]: T005: Hit top incremental value
ldclt[8114]: T005: thread is dead.
ldclt[8114]: T009: Hit top incremental value
ldclt[8114]: T009: thread is dead.
ldclt[8114]: T002: Hit top incremental value
ldclt[8114]: T002: thread is dead.
ldclt[8114]: T001: Hit top incremental value
ldclt[8114]: T001: thread is dead.
ldclt[8114]: T000: Hit top incremental value
ldclt[8114]: T000: thread is dead.
ldclt[8114]: T003: Hit top incremental value
ldclt[8114]: T003: thread is dead.
ldclt[8114]: T006: Hit top incremental value
ldclt[8114]: T006: thread is dead.
ldclt[8114]: Average rate:    0.50/thr  (   0.50/sec), total:      5
ldclt[8114]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[8114]: All threads are dead - exit.
ldclt[8114]: Global average rate:    0.50/thr  (  0.25/sec), total:      5
ldclt[8114]: Global number times "no activity" reports: never
ldclt[8114]: Global number of dead threads: 10
ldclt[8114]: Global no error occurs during this session.
ldclt[8114]: Ending at Wed Jul 20 14:18:28 2016
ldclt[8114]: Exit status 0 - No problem during execution

----------------------------------------------------------------------------

[root@test dirsrv]# ldclt  -D "cn=Directory manager" -w Secret123 -f cn=XXXXXX -b "ou=people,dc=example,dc=org" -e add,person,incr,noloop,commoncounter -r1 -R5 -I 68 -I 32 -H ldaps://localhost:636 -h test.run.in
ldclt version 4.23
ldclt[8177]: Starting at Wed Jul 20 14:20:39 2016

ldclt[8177]: T001: Hit top incremental value
ldclt[8177]: T001: thread is dead.
ldclt[8177]: T002: Hit top incremental value
ldclt[8177]: T002: thread is dead.
ldclt[8177]: T007: Hit top incremental value
ldclt[8177]: T007: thread is dead.
ldclt[8177]: T008: Hit top incremental value
ldclt[8177]: T008: thread is dead.
ldclt[8177]: T009: Hit top incremental value
ldclt[8177]: T009: thread is dead.
ldclt[8177]: T000: Hit top incremental value
ldclt[8177]: T000: thread is dead.
ldclt[8177]: T003: Hit top incremental value
ldclt[8177]: T003: thread is dead.
ldclt[8177]: T006: Hit top incremental value
ldclt[8177]: T006: thread is dead.
ldclt[8177]: T005: Hit top incremental value
ldclt[8177]: T005: thread is dead.
ldclt[8177]: T004: Hit top incremental value
ldclt[8177]: T004: thread is dead.
ldclt[8177]: Average rate:    0.50/thr  (   0.50/sec), total:      5
ldclt[8177]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[8177]: All threads are dead - exit.
ldclt[8177]: Global average rate:    0.50/thr  (  0.25/sec), total:      5
ldclt[8177]: Global number times "no activity" reports: never
ldclt[8177]: Global number of dead threads: 10
ldclt[8177]: Global no error occurs during this session.
ldclt[8177]: Ending at Wed Jul 20 14:20:59 2016
ldclt[8177]: Exit status 0 - No problem during execution.
------------------------------------------------------------------------------

[root@test dirsrv]# ldclt  -D "cn=Directory manager" -w Secret123 -f cn=XXXXXX -b "ou=people,dc=example,dc=org" -e delete,person,incr,noloop,commoncounter -r1 -R5 -I 68 -I 32 -H ldaps://localhost:636 -p789
ldclt version 4.23
ldclt[8232]: Starting at Wed Jul 20 14:21:55 2016

ldclt[8232]: T003: Hit top incremental value
ldclt[8232]: T003: thread is dead.
ldclt[8232]: T002: Hit top incremental value
ldclt[8232]: T002: thread is dead.
ldclt[8232]: T006: Hit top incremental value
ldclt[8232]: T006: thread is dead.
ldclt[8232]: T008: Hit top incremental value
ldclt[8232]: T008: thread is dead.
ldclt[8232]: T009: Hit top incremental value
ldclt[8232]: T009: thread is dead.
ldclt[8232]: T007: Hit top incremental value
ldclt[8232]: T007: thread is dead.
ldclt[8232]: T005: Hit top incremental value
ldclt[8232]: T005: thread is dead.
ldclt[8232]: T004: Hit top incremental value
ldclt[8232]: T004: thread is dead.
ldclt[8232]: T001: Hit top incremental value
ldclt[8232]: T001: thread is dead.
ldclt[8232]: T000: Hit top incremental value
ldclt[8232]: T000: thread is dead.
ldclt[8232]: Average rate:    0.50/thr  (   0.50/sec), total:      5
ldclt[8232]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[8232]: All threads are dead - exit.
ldclt[8232]: Global average rate:    0.50/thr  (  0.25/sec), total:      5
ldclt[8232]: Global number times "no activity" reports: never
ldclt[8232]: Global number of dead threads: 10
ldclt[8232]: Global no error occurs during this session.
ldclt[8232]: Ending at Wed Jul 20 14:22:15 2016
ldclt[8232]: Exit status 0 - No problem during execution.

-------------------------------------------------------------------------------
Comment 4 errata-xmlrpc 2016-11-03 16:40:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html

Note You need to log in before you can comment on or make changes to this bug.